Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.ru
Class RussianStemFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.apache.lucene.analysis.ru.RussianStemFilter

All Implemented Interfaces:
  Closeable

Deprecated. Use `SnowballFilter` with `RussianStemmer` instead, which has the same functionality. This filter will be removed in Lucene 4.0

    @Deprecated
    public final class RussianStemFilter

extends org.apache.lucene.analysis.TokenFilter

A `TokenFilter` that stems Russian words.

The implementation was inspired by GermanStemFilter. The input should be filtered by `LowerCaseFilter` before passing it to RussianStemFilter , because RussianStemFilter only works with lowercase characters.

To prevent terms from being stemmed use an instance of `KeywordMarkerFilter` or a custom `TokenFilter` that sets the `KeywordAttribute` before this `TokenStream`.

See Also:
  `KeywordMarkerFilter`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`RussianStemFilter(org.apache.lucene.analysis.TokenStream in)` Deprecated.

Method Summary
`boolean` | `incrementToken()` Deprecated. Returns the next token in the stream, or null at EOS
`void` | `setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)` Deprecated. Set a alternative/custom `RussianStemmer` for this filter.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RussianStemFilter

    public RussianStemFilter(org.apache.lucene.analysis.TokenStream in)

  Deprecated.

Method Detail

### incrementToken

    public final boolean incrementToken()
                                 throws IOException

  Deprecated.
  Returns the next token in the stream, or null at EOS

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Throws:
    `IOException`

### setStemmer

    public void setStemmer(org.apache.lucene.analysis.ru.RussianStemmer stemmer)

  Deprecated.
  Set a alternative/custom `RussianStemmer` for this filter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD